#include <iostream>

#include "vector.h"

int main()
{
  try
    {
      m2if::Vector<int> v1(2);
      v1[0] = 1;
      v1[1] = 3;

      m2if::Vector<int> v2(2);
      v2[0] = 3;
      v2[1] = 4;

      std::cout << "v1    : " << v1 << std::endl;
      std::cout << "v2    : " << v2 << std::endl;
      std::cout << "somme : " << v1 + v2 << std::endl;
      std::cout << "diff  : " << v1 - v2 << std::endl;
      std::cout << "prod  : " << v1 * v2 << std::endl;
      std::cout << "norm  : " << v2.norm() << std::endl;
    }
  catch (const char *s)
    {
      std::cout << s << std::endl;
    }

  return 0;
}
